Subject: Re: bug#17206: 24.3; S-up bindkey not being set for windmove-up in emacs -nw

From: Juri Linkov <[email-masked]>
Date: Sun, 06 Apr 2014 21:45:01 +0300

Version: 24.4

> While S-<Left> S-<Right>, S-<Down>, works S-<Up> responds with "<select>
> is undefined". (C-h k) is saying that the key is undefined.
>
> Next, I tried M-x windmove-up, which worked correctly, and the status
> line said that I can use S-<up> instead (which does not work).
>
> Next, I tried to set it using the global .emacs file with
> (global-set-key (kbd "S-<up>")    'windmove-up)
> This did not succeed, with S-<up> not being recognized as set.
>
> Lastly, I tried manually defining it with M-x global-set-key S-<up>
> windmove-up. Interestingly, this works with the key bound as expected.
>
> In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.4.2)

Thanks for your report.  This has already been fixed for 24.4 in
http://debbugs.gnu.org/13471